<!DOCTYPE html>
<html>
<head>

<meta name="viewport" content="width=device-width, initial-scale=1.0" charset="utf-8">
    
<title>proto v2</title>
<link href="https://fonts.googleapis.com/css?family=IBM+Plex+Sans:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">        


<% include ../assets/styleOffline %>
<% include ../assets/localStorage %>


</head>

<body onload="manualWG();">

<div class="wrapper img1">  
    <div class="container-pos blur-container"> </div>
        <div class="container-pos container">
            <h1>Offlinemodus</h1>

            <div id="selectWG" onchange="showWaldgesellschaft(Number(document.getElementsByTagName('select')[0].value));">
            </div>
            

            <div id="waldgesellschaft">

            </div>
        </div>
 
</div>





    <script>
    getDataLS('waldgesellschaften');
    getDataLS('schemaWG');

    function manualWG(){
        let dropdown = '<select name="Waldgesellschaften" id="selectWaldgesellschaft">';
        for (let i = 0; i < waldgesellschaften.length; i++) {
            dropdown += `<option value="${i}">${waldgesellschaften[i].wg} ${waldgesellschaften[i].name}</option>`
        }
        dropdown += `</select>`;
        document.getElementById('selectWG').innerHTML = dropdown;
    }  
                      
    function showWaldgesellschaft(id) {
        let layout = '<div class="attr-title">Standortsbeschreibung Waldgesellschaft</div>';
        const orderDesc = ['wald', 'height', 'location', 'dominant', 'beigemischt', 'weitere', 'aspekt', 'straucher', 'krauter', 'bemerkungen', 'limit', 'bau'];
        for (i = 0; i < orderDesc.length; i ++) {
            if (waldgesellschaften[id].desc[orderDesc[i]]){
                layout += `<div class="row"><div class="attr"> ${schemaWaldgesellschaften.items.properties.desc.properties[orderDesc[i]].title}</div>`
                layout += `<div class="content">${waldgesellschaften[id].desc[orderDesc[i]]}</div></div>`
            }
        }
        
        layout += `<div class="attr-title">Baumartenempfehlung bei Klimaprognose wenig trocken (RegCM3)</div>`;
        const orderProjektion = ['more', 'ok', 'less', 'achtung'];
        for (i = 0; i < orderProjektion.length; i ++) {
            if (waldgesellschaften[id].RegCM3[orderProjektion[i]]){
                layout += `<div class="row"><div class="attr">${schemaWaldgesellschaften.items.properties.RegCM3.properties[orderProjektion[i]].title}</div>`
                layout += `<div class="content">${waldgesellschaften[id].RegCM3[orderProjektion[i]]}</div></div>`
            }
        }
        
        layout += `<div class="attr-title">Baumartenempfehlung bei Klimaprognose trocken (CLM)</div>`;
        for (i = 0; i < orderProjektion.length; i ++) {
            if (waldgesellschaften[id].CLM[orderProjektion[i]]){
                layout += `<div class="row"><div class="attr">${schemaWaldgesellschaften.items.properties.CLM.properties[orderProjektion[i]].title}</div>`
                layout += `<div class="content">${waldgesellschaften[id].CLM[orderProjektion[i]]}</div></div>`
            }
        }

        document.getElementById('waldgesellschaft').innerHTML = layout;

    }                   

    showWaldgesellschaft(0);

    </script>

</body>
</html>